package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;
import java.util.List;

public class BoxInfoBean implements Parcelable {
    private String box_number; //
    private List<BoxSkuBean> sku_list = new ArrayList<>(); //
    private int page = 1;
    private int limit = 6;

    public BoxInfoBean() {
        // 可以在这里进行初始化，但通常对于反序列化来说不需要
    }

    public String getBoxNumber() {
        return box_number;
    }

    public void setBoxNumber(String box_number) {
        this.box_number = box_number;
    }

    public List<BoxSkuBean> getSkuList() {
        return sku_list;
    }

    public void setSkuList(List<BoxSkuBean> sku_list) {
        this.sku_list = sku_list;
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }

    public static Creator<BoxInfoBean> getCREATOR() {
        return CREATOR;
    }

    protected BoxInfoBean(Parcel in) {
        box_number = in.readString();
        sku_list = in.createTypedArrayList(BoxSkuBean.CREATOR);
        page = in.readInt();
        limit = in.readInt();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(box_number);
        dest.writeTypedList(sku_list);
        dest.writeInt(page);
        dest.writeInt(limit);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<BoxInfoBean> CREATOR = new Creator<BoxInfoBean>() {
        @Override
        public BoxInfoBean createFromParcel(Parcel in) {
            return new BoxInfoBean(in);
        }

        @Override
        public BoxInfoBean[] newArray(int size) {
            return new BoxInfoBean[size];
        }
    };
}
